summaryrefslogtreecommitdiffstats
path: root/clamav
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-05-31 11:05:57 +0000
committer Eric Hameleers <alien@slackware.com>2015-05-31 11:05:57 +0000
commit55156d71a285166cfb7fcc3f5f59d0565ed33e56 (patch)
tree0203424d503f15964ab2eb3e152b107e89e27aaa /clamav
parent17d981311ddf48cef04ea4d5c8c49d772504e770 (diff)
downloadasb-55156d71a285166cfb7fcc3f5f59d0565ed33e56.tar.gz
asb-55156d71a285166cfb7fcc3f5f59d0565ed33e56.tar.xz
clamav: updated to 0.98
Diffstat (limited to 'clamav')
-rwxr-xr-xclamav/build/clamav.SlackBuild24
1 files changed, 14 insertions, 10 deletions
diff --git a/clamav/build/clamav.SlackBuild b/clamav/build/clamav.SlackBuild
index 0f3de9ab..f8a91731 100755
--- a/clamav/build/clamav.SlackBuild
+++ b/clamav/build/clamav.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# $Id$
-# Copyright 2006-2012 Eric Hameleers, Eindhoven, NL
+# Copyright 2006-2013 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -144,6 +144,8 @@
# * New release.
# 0.97.5-1: 17/jun/2012 by Eric Hameleers
# * New release.
+# 0.98-1: 20/Sep/2013 by Eric Hameleers
+# * Update.
#
# Run 'sh clamav.SlackBuild' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
@@ -154,7 +156,7 @@
# Set initial variables:
PRGNAM=clamav
-VERSION=${VERSION:-"0.97.5"}
+VERSION=${VERSION:-"0.98"}
BUILD=${BUILD:-1}
TAG=${TAG:-alien}
@@ -234,18 +236,20 @@ mkdir -p $OUTPUT # place for the package to be saved
# Source file availability:
if ! [ -f ${SOURCE} ]; then
+ echo "Source '$(basename ${SOURCE})' not available yet..."
+ # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
+ [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
+ if [ -f ${SOURCE} ]; then echo "Ah, found it!"; continue; fi
if ! [ "x${SRCURL}" == "x" ]; then
- # Check if the $SRCDIR is writable at all - if not, download to $OUTPUT
- [ -w "$SRCDIR" ] || SOURCE="$OUTPUT/$(basename $SOURCE)"
- echo "Source '${SOURCE}' not available yet... will download now:"
- wget -nv -T 30 -O "${SOURCE}" "${SRCURL}" || true
+ echo "Will download file to $(dirname $SOURCE)"
+ wget -nv -T 20 -O "${SOURCE}" "${SRCURL}" || true
if [ $? -ne 0 -o ! -s "${SOURCE}" ]; then
- echo "Downloading '${SOURCE}' failed... aborting the build."
+ echo "Downloading '$(basename ${SOURCE})' failed... aborting the build."
mv -f "${SOURCE}" "${SOURCE}".FAIL
exit 1
fi
else
- echo "File '${SOURCE}' not available... aborting the build."
+ echo "File '$(basename ${SOURCE})' not available... aborting the build."
exit 1
fi
fi
@@ -313,8 +317,8 @@ make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PRGNAM}.log
# Prepare the config files:
cd $PKG/etc
-mv clamd.conf clamd.conf.new
-mv freshclam.conf freshclam.conf.new
+mv clamd.conf.sample clamd.conf.new
+mv freshclam.conf.sample freshclam.conf.new
cd -
# Where to store the pid file: